/* 全局样式 */
@font-face {
  font-family: BeVietnamProBlack;
  src: url('//dystatich5.dailyyoga.com/h5/common/BeVietnamPro-Black.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: BeVietnamProMedium;
  src: url('//dystatich5.dailyyoga.com/h5/common/BeVietnamPro-Medium.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: BeVietnamProExtraBold;
  src: url('//dystatich5.dailyyoga.com/h5/common/BeVietnamPro-ExtraBold.woff') format('woff');
  font-display: swap;
}

@font-face {
  font-family: BeVietnamProLight;
  src: url('//dystatich5.dailyyoga.com/h5/common/BeVietnamPro-Light.woff') format('woff');
  font-display: swap;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: BeVietnamProMedium;
  line-height: 1.6;
  color: #333
}

a {
  text-decoration: none;
  color: #333;
}


/* 导航栏基本样式 */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 24px;
  background-color: #fff;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.07);
  transition: background-color 0.3s ease;
  position: fixed;
  width: 100%;
  max-width: 1200px;
  height: 72px;
  background-color: #fff;
  border-radius: 12px;
  margin: 0 auto;
  left: 50%;
  transform: translateX(-50%);
  top: 35px;
  z-index: 1000;
}
.navbar.transparent {
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
.nav-brand {
 display: flex;
 align-items: center;
 gap:8px;
 cursor: pointer;
}
.nav-brand span {
  font-size: 20px;
  line-height: 25px;
  font-family: BeVietnamProBlack;
  color: #333;
}
.nav-right {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.mobile-join-button {
  display: none;
  padding: 0.5rem 1rem;
  background-color: greenyellow;
  color: white;
  border-radius: 4px;
  text-decoration: none;
}

.desktop-only {
  display: block;
}

.nav-menu {
  display: flex;
  flex:1;
  list-style: none;
  margin: 0;
  padding: 0;
  align-items: center;
  justify-content: space-between;
  margin-left: 80px;
}
.nav-menu-left {
  @media (min-width: 768px) {
      display: flex;
      align-items: center;
      gap:40px;
  }
  a{
      font-family: BeVietnamProMedium;
      font-size: 20px;
      line-height: 25px;
      color: #333;
  }
}
.workout-btn{
  @media (min-width: 768px) {
     padding: 12px 0;
     border-radius: 8px;
     font-family: BeVietnamProExtraBold;
     font-size: 18px;
     line-height: 23px;
     color: #333;
     border: 1px solid #E4E5E2;
     text-align: center;
  }
}
.join-button, .mobile-join-button{
  padding: 12px 0;
  background-color: #D8FC3E;
  border-radius: 8px;
  font-family: BeVietnamProExtraBold;
  font-size: 18px;
  line-height: 23px;
  color: #333;
  text-align: center;
}
.mobile-join-button{
  padding: 12px 24px;
}


.nav-menu-right {
  display: flex;
  align-items: center;
  gap:16px;
}

.nav-menu li {
  margin: 0 1rem;
}

.nav-menu a {
  text-decoration: none;
  padding: 12px 16px;
}

/* 下拉菜单样式 */
.dropdown {
  position: relative;
}

.dropdown-menu {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: #fff;
  @media (min-width: 768px) {
      box-shadow: 0 2px 4px rgba(0,0,0,0.1);
      padding: 14px 12px;
      width: 300px;
      margin-top: 6px;
      div{
         margin-bottom: 14px;
      }
      div:hover{
          background-color: #D8FC3E;
          border-radius: 10px;
      }
  }
}

.dropdown:hover .dropdown-menu {
  @media (max-width: 767px) {
     display: none;
  }
  @media (min-width: 768px) {
      display: block;
  }
}

.dropdown-menu a {
  padding: 0.5rem 1rem;
  display: block;
}
.mobile-only {
  display: none; /* 默认隐藏 */
}

/* 汉堡菜单按钮 */
.menu-toggle {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 24px;
  height: 24px;
  cursor: pointer;
  background-image: url('../asset/menu.png');
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.bar {
  height: 3px;
  width: 100%;
  background-color: #333;
  border-radius: 10px;
}

/* 移动端响应式样式 */
@media (max-width: 767px) {
  .navbar{
      padding: 12px 10px;
  }
  .menu-toggle {
      display: flex;
  }
  .mobile-join-button {
      display: block;
  }
  
  .desktop-only {
      display: none;
  }
  .nav-menu {
      display: none;
      position: absolute;
      top: 100%;
      left: 0;
      width: 100%;
      background: #fff;
      flex-direction: column;
      padding: 1rem 0;
      box-shadow: 0 2px 4px rgba(0,0,0,0.1);
  }

  .nav-menu.active {
      display: block;
      height: 100vh;
      overflow-y: auto;
      margin-left: 0;
  }
  .nav-menu a{
      font-size: 18px;
      padding: 0;
  }

  .nav-menu .item{
      display: block;
      height: 72px;
      padding: 24px 0;
      margin: 0 24px;
  } 
  .features-nav{
      display: flex !important;
      align-items: center;
      justify-content: space-between;
  }
  .workout-btn a{
      font-family: BeVietnamProExtraBold;
      font-size: 18px;
      line-height: 23px;
      color: #333;
  }
  .features-nav{
      border-bottom: 1px solid #D8D8D8;
      border-top: 1px solid #D8D8D8;
  }
  .mobile-only {
      display: block;
      cursor: pointer;
      background-image: url('../asset/arrow-down.png');
      background-size: 100% 100%;
      background-repeat: no-repeat;
      width: 24px;
      height: 24px;
  }

  .dropdown-menu {
      position: static;
      box-shadow: none;
      display: none;
      background-color: #FAFAFA;
  }
  .dropdown-menu{
      div{
          padding: 20px 40px;
      }
      a{
          font-size: 16px;
      }
  }

  .dropdown.active .dropdown-menu {
      display: block;
  }

  .join-button {
      margin-top: 1rem;
  }

  .join-button a {
      display: inline-block;
  }

  .navbar {
      width: 100%;
      top: 0;
      left: 0;
      transform: none;
      border-radius: 0;
  }
}